SegmentObserver(3)

NAME
SegmentObserver - Observer on the base AutoSegment.

SYNOPSIS

Inherits Observer< class >.

  Public Member Functions
virtual void notify (unsigned int flags)

Detailed Description

Observer on the base AutoSegment. The observer that will be hooked into the observable in the associated canonical AutoSegment. Used to propagate the invalidation/revalidation events from AutoSegment toward TrackSegment.

As a secondary function, it is used by the Session::lookup() method to quicly retrieve TrackSegment from Katabatic::AutoSegment.

Member Function Documentation

  void notify (unsigned int flags) [virtual]
Implement the asymmetric invalidate/revalidate policy described in Kite::Session. The invalidate is immediatly passed on while the revalidate is ignored.

Reimplemented from BaseObserver.

Author

Generated automatically by Doxygen for Kite - Detailed Router from the source code.